lookupAccountAppLocalStates - Algorand
Example code for the lookupAccountAppLocalStates REST method. Complete guide on how to use lookupAccountAppLocalStates REST in GetBlock Web3 documentation.
Lookup an account's asset holdings, optionally for a specific ID.
Endpoint
GET /v2/accounts/{account-id}/apps-local-statePath Parameters
account-id
string
Yes
account string
Query Parameters
application-id
integer
Optional
Application ID
include-all
boolean
Optional
Include all items including closed accounts, deleted applications, destroyed assets, opted-out asset holdings, and closed-out application localstates.
limit
integer
Optional
Maximum number of results to return. There could be additional pages even if the limit is not reached.
next
string
Optional
The next page of results. Use the next token provided by the previous results.
Example
export ALGO_INDEXER=https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/
curl "${ALGO_INDEXER}v2/accounts/REPLACE_ACCOUNT-ID/apps-local-state"Response
Returns application/json. Top-level fields:
apps-local-states
array
—
current-round
integer
Round at which the results were computed.
next-token
string
Used for pagination, when making another request provide this token with the next parameter.
Error Handling
400
Bad request
A parameter was missing or malformed
404
Not found
The requested resource does not exist
403 / RBAC: access denied
Access denied
The GetBlock access token is missing or incorrect
Last updated
Was this helpful?